javafx.css

## Class FontCssMetaData<S extends Styleable>

- java.lang.Object
- - javafx.css.CssMetaData<S,Font>
  - - javafx.css.FontCssMetaData<S>

-     public abstract class FontCssMetaData<S extends Styleable>
      extends CssMetaData<S,Font>

  An partial implementation of CssMetaData for Font properties which includes the font sub-properties: weight, style, family and size.
  Since:
    JavaFX 8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontCssMetaData(String property, Font initial)` The property name is concatenated with "-weight", "-style", "-family" and "-size" to create the sub-properties.

  - ### Method Summary

    - ### Methods inherited from class javafx.css.CssMetaData

      `equals, getConverter, getInitialValue, getProperty, getStyleableProperty, getSubProperties, hashCode, isInherits, isSettable, set, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontCssMetaData

          public FontCssMetaData(String property,
                                 Font initial)

      The property name is concatenated with "-weight", "-style", "-family" and "-size" to create the sub-properties. For example, `new FontCssMetaData<Text>("-fx-font", Font.getDefault());` will create a CssMetaData for "-fx-font" with sub-properties: "-fx-font-weight", "-fx-font-style", "-fx-font-family" and "-fx-font-size"
      Parameters:
        `property` -
        `initial` -

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.